use marble_machinations::marble_engine::{board::Board, Machine};

#[test]
fn creating_marbles_cause_indirect_claim() {
	let mut eng = Machine::new_empty();
	eng.set_board(Board::parse(
		"
  I
o 2
   B-        o
  B |      |-*-|
  |-+o     |   |
*-| |*     -B B-

     1       3




     I       I
",
	));
	for _ in 0..9 {
		eng.step();
	}
	assert_eq!(eng.output(), [1, 2, 3]);
}
